
package de.ivu.elect.was.exchange.ergebnis;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.was.exchange.ergebnis.eml.AbstractNlWasEml5xxNachGebietErgebniseingabestatusExportMapper;
import de.ivu.elect.was.exchange.ergebnis.eml.Eml520ErgebnisExportMapper;

/**
 * @see NlWasModelP221MainDocumentExportMapper
 * @see NlWasModelP221Osv43CsvExportMapper
 * @see NlWasModelP221Osv56CsvExportMapper
 */
public class NlWasModelP221Eml520ExportMapper extends AbstractNlWasEml5xxNachGebietErgebniseingabestatusExportMapper implements NlWasModelP221ExportMapper {

  @Inject
  private transient Eml520ErgebnisExportMapper eml520ErgebnisExportMapper;

  public NlWasModelP221Eml520ExportMapper() {
    super();
  }

  @Override
  protected boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWasModelP221ExportMapperHelper.isAcceptWahlebene(wahl, customer);
  }

  @Override
  protected Collection<NlWahlart> collectWahlartenAccepted() {
    return NlWasModelP221ExportMapperHelper.collectWahlartenAccepted();
  }

  @Override
  protected Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelP221ExportMapperHelper.collectErgebniseingabestatusAccepted();
  }

  @Override
  protected Eml520ErgebnisExportMapper getEmlExportMapper() {
    return eml520ErgebnisExportMapper;
  }
}
